#!c:/perl/bin/perl.exe 

## if on unix, this path will likely be: /usr/bin/perl

# get parameters, 
# ie: http://localhost/cgi-bin/howdyfall2008.pl?name=Bob
#
# address parameters (such as above) go into:
# QUERY_STRING environment variable. (ie "name=Bob")
#
my $q = $ENV{QUERY_STRING};

my %args;
my @nv = split/\&/,$q;  # get name=value pairs.
for(@nv){
    my ($name,$value) = split/=/,$_,2;
    $args{$name}=$value;
}


# output header
print "Content-Type: text/html\n";

print "\n";         # blank line.

# body (content)
print "<HTML>
<HEAD>
   <TITLE>the page!</TITLE>
</HEAD>
<BODY>
   <H1>FIRST CGI SCRIPT!</H1>
";
# if we know the name
if($args{fname} && $args{lname}){
    print "
   <H2>Hello, $args{fname} $args{lname}. </h2>
   ";
}else{
    # if we don't know the name.
    print qq{
    <h2>Tell us who you are:</h2>
    <form action="howdyfall2008.pl" method="GET">
    First name: <input type="text" name="fname"><br>
    Last name: <input type="text" name="lname"><br>
    <input type="submit" value="Submit">
    </form>

    };
}

print "
</BODY>
</HTML>
";



